
# 接口文档

# /register

注册
type 0为个人会员/1为团体会员
request data
```json
{
    "mobile": "13600000000",
	"password": "123456",
	"type"    :1,
	"companyName" : "XX科技股份有限公司",
	"contacts"    : "张三",
	"verificationCode" : "AE5F",
	"mobileCode" : "234567"
}
```
response data 

```json
{
  "data": {
    "id": 7,
    "mobile": "13600000000",
    "nickname": "",
    "email": "",
    "createTime": 1474860123000,
    "number": 8000000,
    "type": 0
  },
  "error": []
}
```

/login  (method=get)
登出

# /signin  
登录
request data

```json
{
	"mobile": "13600000000",
	"password": "123456",
	"type"    :0,
	"remember":false
}
``` 

response data 

```json
{"data":
	{"id":"ba00235e-eb3a-45b4-8c9d-000fe507cbca",
	"mobile":"13600000000",
	"password":"8af978dd914c6c17a9f3bc55bc7970b9",
	"nickname":"Lion",
	"email":"123@xx.com",
	"createTime":1483341341000,
	"number":12,
	"type":0
	},
    "error":[]
}
```

/api/user/afterSignIn    (method = get)
登陆后获取用户基本信息
request data
```json
{
	
}
``` 

response data 
```json
{
	"data":{
	"id":"ba00235e-eb3a-45b4-8c9d-000fe507cbca",
	"mobile":"13600000000",
	"password":"",
	"nickname":"Lion",
	"email":"8590856@1633.com",
	"createTime":1483341341000,
	"number":12,
	"type":0
	},
	"error":[]
}
```


response data

/open/getVCode    (method=get)
获取验证码

/open/getMCode   (method=get)
获取手机验证码
request data
{
  "mobile" : "18273127971"  
} 

{
"data":null,
"error":[{"field":"","message":"手机验证码发送频繁"}]
}

/api/user/avatar/upload   
上传非认证资料图片
{"data":"/avatar/158209360315077.jpg","error":[]}

/api/user/avatar/uploadReplace
上传非认证资料图片(替换)
{
   "sign":"XX"
}

response data




/api/user/identity/upload   
上传认证资料图片
request data
{
   "sign":"idcard1"
}

response data
{"data":"/identity/158209360315077idcard1.jpg","error":[]}


下载展示图片(认证+非认证)
/open/downLoadPicture  
{"data":
   {
  "path":"/identity/235443200453591idcard1.jpg",
   "isPrivate": true 
}
}


/api/user/pwd
修改密码
request data

{
  "password" : "123456" ,
  "newPassword" : "123456"
}

response data
{"data":1,       (1为成功)
 "error":[]
}

/api/user/mobile
更换手机
request data

{
  "mobile" : "13600000000" ,
  "mobileCode" : "123456"
}

response data
{"data":1,       (1为成功)
 "error":[]
}




/api/user/userIndentity
个人会员基本信息
request data

```json
{
    
	"username": "Lion",
	"sex": "男",
	"dateOfBirthYear" : "1995",
	"dateOfBirthMonth": "12",
	"idNumber" : "510123456789012345",
	"positiveIdUrl" : "/indentity/4303502988131.jpg",
    "oppositeIdUrl"	: "/indentity/4303502988139.jpg"
}
``` 

response data 

```json
{
  "data":{
  "id":"92a6804d-94f7-462b-805f-051b4e04440a",
  "uid":"111",
  "username":"Lion",
  "sex":"男",
  "dateOfBirthYear":"1995",
  "dateOfBirthMonth":"1",
  "idNumber":"510123456789012345",
  "positiveIdUrl":"/indentity/4303502988131.jpg",
  "oppositeIdUrl":"/indentity/4303502988139.jpg"},
  "error":[]
}
```

/api/user/userInfo
个人资料
request data

```json
{
	"nickname": "Lion",
	"residenceProvince": "湖南省2",
	"residenceCity" : "长沙市",
	"residenceArea": "天心区",
	"personPortraitUrl" : "510123456789012345",
	"lifePhotoUrl" : "/avadar/4303502988131.jpg",
    "personalProfile"	: "个人简介",
	"email" : "123@xx.com",
	"fixedTelArea" : "010",
    "fixedTel"	: "88888888",
	"fixedTelExtension" : "0001",
    "qq"	: "123456789",
	"postalAddress": "湖南省长沙市天心区",
	"postcode": "610000"
}
``` 

response data 

```json
{
 
  data:{
  "id":"92a6804d-94f7-462b-805f-051b4e04440a",
  "uid":"111",
  "username":"Lion",
  "sex":"男",
  "dateOfBirthYear":"1995",
  "dateOfBirthMonth":"1",
  "idNumber":"510123456789012345",
  "positiveIdUrl":"/indentity/4303502988131.jpg",
  "oppositeIdUrl":"/indentity/4303502988139.jpg"},
  "error":[]
}

/api/user/userEdu
教育信息
request data

```json
{
	"education": "博士",
	"majorCategory": "工程材料",
	"majorName" : "金属材料",
	"graduateSchool": "清华大学",
	"graduationTimeYear" : "2000",
	"graduationTimeMonth" : "12",
    "graduationTimeDay"	: "12",
	"diplomaUrl" : "/indentity/4303502988132.jpg",
	"diplomaCode" : "123456789",
    "degreeDiplomaUrl"	: "/indentity/4303502988133.jpg",
	"degreeCode" : "123456789"
}
``` 

response data 

```json
{  data:{
	"id":"c1094f5b-b55c-4df2-978a-20f3dcf7ca67",
	"uid":"12312",
	"education":"博士",
	"majorCategory":"工程材料",
	"majorName":"金属材料",
	"graduateSchool":"清华大学",
	"graduationTimeYear":"2000",
	"graduationTimeMonth":"12",
	"graduationTimeDay":"12",
	"diplomaUrl":"/indentity/4303502988132.jpg",
	"diplomaCode":"123456789",
	"degreeDiplomaUrl":"/indentity/4303502988133.jpg",
	"degreeCode":"123456789"},
	"error":[]
}

/api/user/userCareer
职业信息
request data

```json
{
	"engagedField": "工程材料，信息工程",
	"workingAge": "5",
	"professionalTitle" : "xx职称",
	"professionalTitleGettime": "2000",
	"professionalCertificateUrl" : "/avadar/4303502988131.jpg",
	"qualification" : "职业资格",
    "qualificationGettime"	: "2001",
	"qualificationCertificateUrl" : "/avadar/4303502988132.jpg",
	"workUnit" : "xx公司",
    "position"	: "CFO",
	"experiences" : "工作经历",
	"achievement" : "个人成就"
}
``` 

response data 

```json
{   
   data:{
   "id":"f745fa0c-5325-4b0a-a626-0ab755513712",
   "uid":"123",
   "engagedField":"工程材料，信息工程",
   "workingAge":"5",
   "professionalTitle":"xx职称",
   "professionalTitleGettime":"2000",
   "professionalCertificateUrl":"/avadar/4303502988131.jpg",
   "qualification":"职业资格","qualificationGettime":"2001",
   "qualificationCertificateUrl":"/avadar/4303502988132.jpg",
   "workUnit":"xx公司","position":"CFO","experiences":"工作经历",
   "achievement":"个人成就"},
   "error":[]
   }
   
   
/api/user/userAbility
个人/团体能力标签
request data

```json
{
	"abilityLabel": "能力1,能力2"
}
```

response data 

```json
{  data:{
  "id":"9337f823-1dfb-42be-b65d-d4dd4a06acbc",
  "uid":"33","abilityLabel":"能力1,能力2"},
  "error":[]
  }
  
  
/api/user/orgIdentity
团体会员基本信息
request data

```json
{
	"contacts": "张三",
	"email": "8590856@1633.com",
	"fixedTel" : "88888888",
	"qq": "2000111111",
	"postalAddress" : "通讯地址",
	"postcode" : "610000",
    "legalPerson"	: "法人代表"
}
``` 

response data 

```json
{   
   {
   "data":
   {"id":null,
   "uid":null,
   "contacts":"张三",
   "fixedTel":"88888888",
   "qq":"2000111111",
   "postalAddress":"通讯地址",
   "postcode":"610000",
   "legalPerson":"法人代表",
   "email":"8590856@1633.com"},
   "error":[]
   }
   }
 

 
/api/user/orgPro
团体会员单位资料
request data
 
```json
{
	"info.identityType": "身份类型",
	"info.companyName": "公司名称",
	"info.locationProvince" : "省",
	"info.locationCity": "市",
	"info.locationArea": "区",
	"info.unitSize": "单位规模",
	"info.companyIntroduction": "单位简介",
	"info.homeUnit": "所属单位",
	"info.logoUrl": "logo图",
	"info.publicityPictureUrl": "宣传图片",
	"pro.qualification": "企业资质",
	"pro.turnover": 100,
	"pro.collegeAttribute": "院校属性",
	"pro.collegeEstablishTime": "院校创办时间",
	"pro.academician": 11,
	"pro.doctoralTutor": 12,
	"pro.masterTutor": 13,
	"pro.otherExpert": 14,
	"pro.nationalLab": 15,
	"pro.educationLab": 16,
	"pro.enterpriseCenter": 17,
	"pro.otherCenter": 18,
	"pro.institutionEstablishTime": 19
}
``` 

response data 

```json
{"data":
    {"info":
		{
		"id":"5eab2c05-7dee-4ac8-9150-9f82bbcda5ba",
		"uid":null,
		"identityType":"身份类型",
		"companyName":"公司名称",
		"locationProvince":"所在地--省",
		"locationCity":"所在地--市",
		"locationArea":"所在地--区",
		"unitSize":"单位规模",
		"companyIntroduction":"单位简介",
		"homeUnit":"所属单位",
		"logoUrl":"logo图",
		"publicityPictureUrl":"宣传图片"
		},
	"pro":
	    {
		"id":"2ddbe264-5a0a-47c2-8d74-b7a8cb3984ac",
		"oid":"5eab2c05-7dee-4ac8-9150-9f82bbcda5ba",
		"qualification":"企业资质",
		"turnover":100,
		"collegeAttribute":"院校属性",
		"collegeEstablishTime":"院校创办时间",
		"academician":11,
		"doctoralTutor":12,
		"masterTutor":13,
		"otherExpert":14,
		"nationalLab":15,
		"educationLab":16,
		"enterpriseCenter":17,
		"otherCenter":18,
		"institutionEstablishTime":"19"
	    }
	},
	"error":[]
}











 
 
 
/api/user/orgTech
团体会员技术能力
request data

```json
{
	"technicalPeopleNum": "88",
	"searchAreaCategory": "电气自动化",
	"searchAreaDet" : "电气电工",
	"specialty": "擅长能力"
}
``` 

response data 

```json
{   
   {
   "data":
   {
   "id":"e5672139-e242-444f-a3f6-cc4e10cd199d",
   "uid":"9",
   "technicalPeopleNum":"88",
   "searchAreaCategory":"电气自动化",
   "searchAreaDet":"电气电工",
   "specialty":"擅长能力
   "},
   "error":[]
   }
   } 
   
   
-----------------查询入口begin--------------------- 
  
/api/user/homePage    (method = get)
用户首页  
response data
{
"data":{
		"id":"a0ccba8f-958e-48db-aec3-ebde456e33fe",
		"uid":"ba00235e-eb3a-45b4-8c9d-000fe507cbca",
		"lvl":0,
		"nickname":"lina",
		"email":"123@xx.com",
		"number":800000,"type":0,
		"personPortraitUrl":"/avadar/4303502988139.jpg"
	  },
	"error":[]
}
  
  
  
  
  
/api/user/base           (method=get)
个人会员基本信息/团体会员基本信息
request data
```json
{
	
}
``` 

response data 

个人  
{
	"data":{
	"id":"5b3fb923-fca8-495e-adec-660e9e3db629",
	"uid":"ba00235e-eb3a-45b4-8c9d-000fe507cbca",
	"username":"Lion3",
	"sex":"男",
	"dateOfBirthYear":"1995",
	"dateOfBirthMonth":"12",
	"idNumber":"510123456789012345",
	"positiveIdUrl":"/indentity/4303502988131.jpg",
	"oppositeIdUrl":"/indentity/4303502988139.jpg",
	"number":12,"mobile":"13600000000"},
	"error":[]
}


团体
{
	"data":{
	"id":"47a6f6b0-95f8-47e6-b98d-1df720ae0832",
	"uid":"ba00235e-eb3a-45b4-8c9d-000fe507cbca",
	"contacts":"张三",
	"fixedTel":"88888888",
	"qq":"2000111111",
	"postalAddress":"通讯地址",
	"postcode":"610000",
	"legalPerson":"法人代表",
	"email":"8590856@1633.com"
	},
	"error":[]
}







/api/user/member        (method=get)
个人资料/团体会员资料
request data
```json
{
	
}
``` 

response data 

个人  
{
	"data":{
	"id":"a0ccba8f-958e-48db-aec3-ebde456e33fe",
	"uid":"ba00235e-eb3a-45b4-8c9d-000fe507cbca",
	"residenceProvince":"湖南省2",
	"residenceCity":"长沙市",
	"residenceArea":"天心区",
	"personPortraitUrl":"510123456789012345",
	"lifePhotoUrl":"/avadar/4303502988131.jpg",
	"personalProfile":"个人简介",
	"fixedTelArea":"010",
	"fixedTel":"88888888",
	"fixedTelExtension":"0001",
	"qq":"123456789",
	"postalAddress":"湖南省长沙市天心区2",
	"postcode":"610000",
	"nickname":"Lion",
	"email":"8590856@1633.com"},
	"error":[]
}


团体

{"data":{
	"info":{
			"id":"14fa6d3a-1880-46d9-85db-c9b5f4ee2ba2",
			"uid":"ea04c6ec-3cb7-40b6-b7cf-ab6ddfac22f5",
			"identityType":null,
			"companyName":"XX科技股份有限公司",
			"legalPerson":null,
			"locationProvince":null,
			"locationCity":null,
			"locationArea":null,
			"unitSize":null,
			"companyIntroduction":null,
			"homeUnit":null,
			"logoUrl":null,
			"publicityPictureUrl":null
	      },
	"pro":{
			"id":"2ddbe264-5a0a-47c2-8d74-b7a8cb3984ac",
			"oid":"14fa6d3a-1880-46d9-85db-c9b5f4ee2ba2",
			"qualification":"企业资质",
			"turnover":100,
			"collegeAttribute":"院校属性",
			"collegeEstablishTime":"院校创办时间",
			"academician":11,
			"doctoralTutor":12,
			"masterTutor":13,
			"otherExpert":14,
			"nationalLab":15,
			"educationLab":16,
			"enterpriseCenter":17,
			"otherCenter":18,
			"institutionEstablishTime":"19"
	     }
	},
	"error":[]
	}




/api/user/educate    (method=get)
个人会员教育信息
request data
```json
{
	
}
``` 

response data 
{
	"data":{
	"id":"e9f03aa2-d164-420f-84f5-df2a3cb387ab",
	"uid":"ba00235e-eb3a-45b4-8c9d-000fe507cbca",
	"education":"博士",
	"majorCategory":"工程材料",
	"majorName":"金属材料",
	"graduateSchool":"清华大学",
	"graduationTimeYear":"2000",
	"graduationTimeMonth":"12",
	"graduationTimeDay":"12",
	"diplomaUrl":"/indentity/4303502988132.jpg",
	"diplomaCode":"123456789",
	"degreeDiplomaUrl":"/indentity/4303502988133.jpg",
	"degreeCode":"123456789"},
	"error":[]
}

/api/user/job                (method=get)
个人会员职业信息/团体会员技术能力
request data
```json
{
	
}
``` 

response data 


个人

{
	"data":{
	"id":"4f81c228-42ce-4c13-9eea-e971d2692b0c",
	"uid":"ba00235e-eb3a-45b4-8c9d-000fe507cbca",
	"engagedField":"工程材料，
	信息工程",
	"workingAge":"5",
	"professionalTitle":"xx职称",
	"professionalTitleGettime":"2000",
	"professionalCertificateUrl":"/avadar/4303502988131.jpg",
	"qualification":"职业资格",
	"qualificationGettime":"2001",
	"qualificationCertificateUrl":"/avadar/4303502988132.jpg",
	"workUnit":"xx公司",
	"position":"CFO",
	"experiences":"工作经历",
	"achievement":"个人成就"},
	"error":[]
}

团体

{
	"data":{
	"id":"2ce9af59-d15e-4b8b-87a1-8d96dc8219f0",
	"uid":"ba00235e-eb3a-45b4-8c9d-000fe507cbca",
	"technicalPeopleNum":"88",
	"searchAreaCategory":"电气自动化",
	"searchAreaDet":"电气电工",
	"specialty":"擅长能力"},
	"error":[]
}

/api/user/ability       (method=get)
个人/团体能力标签      
request data
```json
{
	
}
``` 

response data 
{
	"data":{
	"id":"306e48c2-7f2d-4642-868c-4bd83e842941",
	"uid":"ba00235e-eb3a-45b4-8c9d-000fe507cbca",
	"abilityLabel":"能力1,能力2"},
	"error":[]
}

-----------------查询入口end---------------------